## org.biojava.bio.seq.io.agave
Class AGAVEContigHandler

    java.lang.Object
      org.biojava.bio.seq.io.agave.StAXContentHandlerBase
          org.biojava.bio.seq.io.agave.StAXFeatureHandler
              org.biojava.bio.seq.io.agave.AGAVEContigHandler

All Implemented Interfaces:
  AGAVEContigCallbackItf, SequenceHandler, StAXContentHandler

    public class AGAVEContigHandler

extends StAXFeatureHandler
implements AGAVEContigCallbackItf, SequenceHandler

Handles the AGAVE <contig> element

Author:
  Hanning Ni Doubletwist Inc, Greg Cox

Field Summary
`static StAXHandlerFactory` `AGAVE_CONTIG_HANDLER_FACTORY`
`protected Sequence` `sequence`

Fields inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`annot, callbackStack, endLoc, featureListener, featureTemplate, myLocalName, stackLevel, startLoc, staxenv, subFeatures`

Method Summary
`void` `endElementHandler(String nsURI, String localName, String qName, StAXContentHandler handler)` Element specific exit handler Subclass to do anything useful.
`void` `reportDna(String dna)`
`void` `reportSequence(Sequence sequence)`
`void` `startElementHandler(String nsURI, String localName, String qName, Attributes attrs)` Element-specific handler.

Methods inherited from class org.biojava.bio.seq.io.agave.StAXFeatureHandler
`addFeatureToSequence, addHandler, createTemplate, endElement, getFeatureListener, getHandlerStackIterator, getLevel, pop, push, realizeSubFeatures, setFeatureListener, setHandlerCharacteristics, setProperty, startElement`

Methods inherited from class org.biojava.bio.seq.io.agave.StAXContentHandlerBase
`characters, endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### AGAVE_CONTIG_HANDLER_FACTORY

    public static final StAXHandlerFactory AGAVE_CONTIG_HANDLER_FACTORY

### sequence

    protected Sequence sequence

Method Detail

### reportSequence

    public void reportSequence(Sequence sequence)

  Specified by:
    `reportSequence` in interface `AGAVEContigCallbackItf`

### reportDna

    public void reportDna(String dna)

  Specified by:
    `reportDna` in interface `AGAVEContigCallbackItf`

### startElementHandler

    public void startElementHandler(String nsURI,
                                    String localName,
                                    String qName,
                                    Attributes attrs)
                             throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element-specific handler. Subclass this to do something useful!

  Overrides:
    `startElementHandler` in class `StAXFeatureHandler`
  Throws:
    `SAXException`

### endElementHandler

    public void endElementHandler(String nsURI,
                                  String localName,
                                  String qName,
                                  StAXContentHandler handler)
                           throws SAXException

  Description copied from class: `StAXFeatureHandler`
  Element specific exit handler Subclass to do anything useful.

  Overrides:
    `endElementHandler` in class `StAXFeatureHandler`
  Throws:
    `SAXException`